Package com.sas.lsaf.workflow.processflow

## Class ProcessFlowConstants

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.ProcessFlowConstants

-     public abstract class ProcessFlowConstants
      extends java.lang.Object

  A constants class that represents a comprehensive list of the signal event names that can affect process flow direction. Note: these signals are defined as part of the process flow definition. The signal events include file actions, such as lock, unlock, sign, and create.
  Since:
    2.4

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.Set<java.lang.String>` | `ALL_SIGNAL_EVENTS` | The set of signal events that are supported within process flow definitions and process flows.
    `static java.lang.String` | `SAS_SIGNAL_EVENT_NAME_FILE_LOCKED` | The signal name of the event that resulted from a file that was locked in a specific location.
    `static java.lang.String` | `SAS_SIGNAL_EVENT_NAME_FILE_PUT` | The signal name of the event that resulted from a file that was saved to a specific location.
    `static java.lang.String` | `SAS_SIGNAL_EVENT_NAME_FILE_SIGNED` | The signal name of the event that resulted from a file that was signed in a specific location.
    `static java.lang.String` | `SAS_SIGNAL_EVENT_NAME_FILE_UNLOCKED` | The signal name of the event that resulted from a file that was unlocked in a specific location.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessFlowConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAS_SIGNAL_EVENT_NAME_FILE_PUT

          public static final java.lang.String SAS_SIGNAL_EVENT_NAME_FILE_PUT

      The signal name of the event that resulted from a file that was saved to a specific location. This includes files that are created, saved and uploaded.
      See Also:
        Constant Field Values

    - #### SAS_SIGNAL_EVENT_NAME_FILE_LOCKED

          public static final java.lang.String SAS_SIGNAL_EVENT_NAME_FILE_LOCKED

      The signal name of the event that resulted from a file that was locked in a specific location.
      See Also:
        Constant Field Values

    - #### SAS_SIGNAL_EVENT_NAME_FILE_UNLOCKED

          public static final java.lang.String SAS_SIGNAL_EVENT_NAME_FILE_UNLOCKED

      The signal name of the event that resulted from a file that was unlocked in a specific location.
      See Also:
        Constant Field Values

    - #### SAS_SIGNAL_EVENT_NAME_FILE_SIGNED

          public static final java.lang.String SAS_SIGNAL_EVENT_NAME_FILE_SIGNED

      The signal name of the event that resulted from a file that was signed in a specific location.
      See Also:
        Constant Field Values

    - #### ALL_SIGNAL_EVENTS

          public static final java.util.Set<java.lang.String> ALL_SIGNAL_EVENTS

      The set of signal events that are supported within process flow definitions and process flows.

  - ### Constructor Detail

    - #### ProcessFlowConstants

          public ProcessFlowConstants()